/*Diseñar el algoritmo correspondiente a un programa en el que dados dos ficheros de texto
sin estructura definida y de nombre F1 y F2,
los concatena dejando el resultado de dicha unión sobre el primer fichero (F1).
Finalizada la operación muestra el contenido del F1
en pantalla junto con el número total de caracteres en él almacenados. */

#include <stdio.h>
#include <conio.h>

void main()
{
FILE *origen,*destino;
char texto[100];
char texto2[100];
clrscr();
origen=fopen("f2.txt","r");
destino=fopen("f1.txt","a");

/*Concatenar*/
if (origen==NULL || destino==NULL)
 {
	printf("\n problemas al abrir los archivos");
 }
  else
	{
	 while (feof(origen)==0)
	  {
		fgets(texto,100,origen);
		fputs(texto,destino);

	  }
	}
fclose (origen);
fclose (destino);
/*Muestra por pantalla*/
origen=fopen("f1.txt","r");
while (feof(origen)==0)
 {
  fgets(texto,100,origen);
  printf("\n %s",texto);
 }

getch();

}
